diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 94004d2..fa1363d 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -23963,12 +23963,11 @@ BinaryTreeCategory(S: SetCategory): Category == _
          map_!(f,right t)
          t
 
-     if % has finiteAggregate then
-       treeCount : (%, NonNegativeInteger) -> NonNegativeInteger
+     treeCount : (%, NonNegativeInteger) -> NonNegativeInteger
 
-       #t == treeCount(t,0)
+     #t == treeCount(t,0)
 
-       treeCount(t,k) ==
+     treeCount(t,k) ==
          empty? t => k
          k := k + 1
          k = cycleTreeMax and cyclic? t => error "cyclic binary tree"
diff --git a/changelog b/changelog
index 5cbb5b5..8fa3b95 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140615 tpd src/axiom-website/patches.html 20140615.01.tpd.patch
+20140615 tpd bookvol10.2 bug 7255: BinaryTreeCategory remove finiteAggregate
 20140614 tpd src/axiom-website/patches.html 20140614.06.tpd.patch
 20140614 tpd books/bookvol4 rescale Baker's architecture image
 20140614 tpd src/axiom-website/patches.html 20140614.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4f3e2d3..925b17a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4458,6 +4458,8 @@ books/bookvol13 Proving Axiom Correct
 Fixup broken build issues
 <a href="patches/20140614.06.tpd.patch">20140614.06.tpd.patch</a>
 books/bookvol4 rescale Baker's architecture image
+<a href="patches/20140615.01.tpd.patch">20140615.01.tpd.patch</a>
+bookvol10.2 bug 7255: BinaryTreeCategory remove finiteAggregate
  </body>
 </html>
 
